# A new Fleet

![A new Fleet](../website/assets/images/articles/a-new-fleet-cover-700x340@2x.jpeg)

It’s been an awesome year for the Fleet project. I’ve had the chance to work with organizations such as Bloomberg, Security Onion, Secureframe, and more to make some major improvements to Fleet. With 3.0, users have been successfully scaling into deployments in the tens of thousands of hosts.

Development of Fleet has moved along primarily with the support of my contributions and those of our growing community. Though Kolide’s name remained on the repository, the company’s attention has moved to their User Focused Security SaaS offering.

## What is happening with the project?

Development of Fleet is moving to [github.com/fleetdm/fleet](http://github.com/fleetdm/fleet). Kolide is discontinuing support for the original Fleet repository as they focus on their SaaS product.

This transition aims to invest further into making the Fleet the best management platform for osquery, the leading open-source endpoint agent.

## Introducing Fleet

I have partnered with Mike McNeil, creator of [Sails.js](http://sailsjs.com/about) to build an open-core business model around Fleet. Our new company is [Fleet Device Management](https://fleetdm.com/). We intend to expand the capabilities of the OSS Fleet offering, while beginning to offer additional enterprise grade features.

Releases will be available at [github.com/fleetdm/fleet](http://github.com/fleetdm/fleet) and through Docker with **fleetdm/fleet**. For support, use the #fleet channel on [osquery](https://osquery.slack.com/join/shared_invite/zt-h29zm0gk-s2DBtGUTW4CFel0f0IjTEw#/).

We will never charge for features that are currently free in the OSS version of Fleet. Expect to see significant investments and improvements in both the OSS and enterprise offerings.

Please reach out via [hello@fleetdm.com](mailto:hello@fleetdm.com) if you are interested in becoming an early customer and helping to define the roadmap.

## Fleet 3.3.0

Today we are releasing Fleet 3.3.0 with a slew of long-awaited features and improvements.

For power users, the new file-carving capabilities open up a world of possibilities for extracting file contents during incidents and investigations. User creation is now available in fleetctl.

Easing entry into Fleet, we have updated the host enrollment instructions to walk the user step-by-step through adding new hosts, and exposed the osquery configuration within the Fleet UI.

Check out the full [changelog](https://github.com/fleetdm/fleet/releases/tag/3.3.0) for more details.

We hope you enjoy the new features of Fleet 3.3.0 and continue to submit feedback through the new [GitHub Issues](http://github.com/fleetdm/fleet/issues/new).

## Onward

Thank you to Jason Meller and Mike Arpaia for the vision to release our work on Fleet under an MIT license in 2017, and thank you Kolide for the continued support and collaboration on the project.

I have thoroughly enjoyed working with Fleet and the community since the inception of the project in 2017. Here’s to years more progress!

Zach Wasserman — CTO, Fleet

<meta name="category" value="announcements">
<meta name="authorGitHubUsername" value="zwass">
<meta name="authorFullName" value="Zach Wasserman">
<meta name="publishedOn" value="2020-01-05">
<meta name="articleTitle" value="A new Fleet">
<meta name="articleImageUrl" value="../website/assets/images/articles/a-new-fleet-cover-700x340@2x.jpeg">